
QGIS Application - Bug report #1471

The grass requires Qt3 backwards compatibility

2008-12-29 07:05 AM - vince -

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11531

Description

It seems that the Grass plugin requires the presence of Q3* classes. 

I am not sure the backwards compatibility is still present in Qt 4.5; at any rate, it is going to be discontinued somehow, so it would be nice

to enhance the Grass plugin to be QT4 native.

Vincent

History

#1 - 2009-04-02 11:47 PM - Paolo Cavallini

The shell is now barely usable (see also several shell related bugs, probably related). Raising the priority.

#2 - 2009-04-28 12:32 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:73e86da0 (SVN r10666).

#3 - 2009-08-12 12:13 AM - Paolo Cavallini

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

#4 - 2009-08-12 12:14 AM - Paolo Cavallini

- Status changed from Feedback to Open

#5 - 2009-08-12 12:15 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed
